Skip to main content
POST
/
v1
/
agents
/
{agent_id}
/
calls
Dispatch call
curl --request POST \
  --url https://api.slng.ai/v1/agents/{agent_id}/calls \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "phone_number": "+14155551234",
  "arguments": {}
}
'
{
  "call_id": "550e8400-e29b-41d4-a716-446655440000",
  "message": "Call dispatched successfully"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string<uuid>
required

Voice agent ID.

Example:

"550e8400-e29b-41d4-a716-446655440000"

Body

application/json
phone_number
string
required

Phone number in E.164 format.

Pattern: ^\+[1-9]\d{1,14}$
Example:

"+14155551234"

arguments
object

Response

Call dispatched.

call_id
string<uuid>
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

message
string
required
Example:

"Call dispatched successfully"